Skip to main content
GET
/
v1
/
nodes
List nodes
curl --request GET \
  --url https://api.sfcompute.com/v1/nodes
{
  "object": "list",
  "data": [
    {
      "object": "node",
      "id": "n_b1dc52505c6db142",
      "name": "cuda-crunch",
      "zone": "hayesvalley",
      "gpu_type": "H100",
      "owner": "sfcompute",
      "status": "running",
      "created_at": 1640995200,
      "updated_at": 1640995200,
      "start_at": 1640995200,
      "procurement_id": "proc_b1dc52505c6de142",
      "max_price_per_node_hour": 1000,
      "node_type": "autoreserved",
      "vms": {
        "object": "list",
        "data": [
          {
            "object": "vm",
            "id": "vm_myOZZXw4pfcp7H9DQOldd",
            "status": "running",
            "created_at": 1640995200,
            "updated_at": 1640995200,
            "start_at": 1640995200,
            "end_at": 1641007200,
            "image_id": "vmi_myOZZXw4pfcp7H9DQOldd",
            "zone": "hayesvalley"
          }
        ]
      },
      "current_vm": {
        "object": "vm",
        "id": "vm_myOZZXw4pfcp7H9DQOldd",
        "status": "running",
        "created_at": 1640995200,
        "updated_at": 1640995200,
        "start_at": 1640995200,
        "end_at": 1641007200,
        "image_id": "vmi_myOZZXw4pfcp7H9DQOldd",
        "zone": "hayesvalley"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

id
string[]

Filter nodes by node_id Use ?id=n_b1dc52505c6db142&id=n_b1dc52505c6db133 to specify multiple IDs. Cannot combine with name or node_type

name
string[]

Filter nodes by their names Use ?name=val1&name=val2 to specify multiple names. Cannot combine with id or node_type

type
enum<string>

Filter nodes by their type Cannot combine with id or name

Available options:
autoreserved,
reserved

Response

List of nodes

object
string
required
Example:

"list"

data
object[]
required